#include <iostream>
#include <cmath>

using namespace std;

int sum_digits(int n)
{
	if(!(n/10))
        {
                return n;
        }
	return n % 10 + sum_digits(n/10);
}

bool is_perfect_prime(int n)
{
	if(n < 10)
	{
		if( n == 0 || n == 1 || n == 4 || n == 6 || n == 8 || n == 9)
		{
			return false;
		}
	        return true;
	}
	if(!(n%2) || !(n%3) || !(n%5))
	{
		return false;
	}
	for(int i = 2; i < (sqrt(n) + 1); i++)
	{
		if(!(n % i))
		{
			return false;
		}
	}
        return is_perfect_prime(sum_digits(n));
}

int main()
{
	while(1)
	{
		int a;
		cin >> a;
		if(cin.eof())
		{
			return 0;
		}
		cout << a << " : " << is_perfect_prime(a) << endl;
	}

}
